/**
  * @file    HAL_LSM303DLH.h
  * @author  Michele Magno MicreLab	 Univerity of Bologna
  * @version V0.1.0
  * @date    21/02/2012
  * @brief   Hardware Abstraction Layer for LIS3LV02DL.
  * @details
  *
  
  *
  *  COPYRIGHT 2010 University of Bologna
  */


/* Define to prevent recursive inclusion*/
#ifndef __HAL_LIS3LV02DL_H
#define __HAL_LIS3LV02DL_H

/* Includes */
#include "stm32f10x.h"

/**
* @addtogroup LSM303DLH
* @{
*/

/**
* @addtogroup  LSM303DLH_I2C_Define
* @{
*/
#define LIS_I2C                   I2C1
#define LIS_I2C_RCC_Periph        RCC_APB1Periph_I2C1
#define LIS_I2C_Port              GPIOB
#define LIS_I2C_SCL_Pin           GPIO_Pin_6
#define LIS_I2C_SDA_Pin           GPIO_Pin_7
#define LIS_I2C_RCC_Port          RCC_APB2Periph_GPIOB
#define LIS_I2C_Speed             200000
#define LIS_I2C_REMAP			  GPIO_Remap_I2C1

/**
*@}
*/ /* end of group LIS3LV02DL_I2C_Define */ 

/**
* @addtogroup Accelerometer_Interrupt_Pin_Define
* @{
*/
#ifdef  LIS_INT1_ENABLE
#define LIS_INT1_Pin           GPIO_Pin_0
#define LIS_INT1_Port          GPIOA
#define LIS_INT1_RCC_Port      RCC_APB2Periph_GPIOA
#endif



/**
*@}
*/ /* end of group Accelerometer_Interrupt_Pin_Define */




#endif /* __HAL_LIS3LV02DL_H */

/******************* (C) COPYRIGHT 2012 University of Bologna *****END OF FILE****/
